Bug 951901 - DevIL C++ wrapper uses ILUT which is not listed as a dependency.
Summary: DevIL C++ wrapper uses ILUT which is not listed as a dependency.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: DevIL
Version: 18
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 08:50 UTC by Jacek Krüger
Modified: 2013-04-20 19:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:57:02 UTC


Attachments (Terms of Use)

Description Jacek Krüger 2013-04-14 08:50:23 UTC
Installing DevIL-devel gives you
[kruger@localhost cpp11]$ rpm -ql DevIL-devel
/usr/include/IL
/usr/include/IL/devil_cpp_wrapper.hpp
/usr/include/IL/il.h
/usr/include/IL/ilu.h
/usr/include/IL/ilu_region.h
/usr/lib64/libIL.so
/usr/lib64/libILU.so
/usr/lib64/pkgconfig/IL.pc
/usr/lib64/pkgconfig/ILU.pc
/usr/share/info/DevIL_manual.info.gz

The /usr/include/IL/devil_cpp_wrapper.hpp file contains the following include
#include <IL/ilut.h>

DevIL-devel needs DevIL-ILUT-devel's header which is not listed as a dependency.
Therefore compiling a simple application using the wrapper gives the following error:
$ g++ devil.cpp 
In file included from devil.cpp:3:0:
/usr/include/IL/devil_cpp_wrapper.hpp:4:65: fatal error: IL/ilut.h: No such file or directory
compilation terminated.

DevIL-ILUT-devel has DevIL-devel as a dependency. Adding DevIL-ILUT-devel as a dependency of DevIL-devel would cause a cycle. The C++ header probably needs a separate package which depends on both DevIL-devel and DevIL-ILUT-devel. A simpler but maybe not so elegant solution would be moving the header to the DevIL-ILUT-devel package.

Comment 1 Hans de Goede 2013-04-15 12:15:09 UTC
Thanks for the bug report!

(In reply to comment #0)
> A simpler but maybe not so elegant solution would be
> moving the header to the DevIL-ILUT-devel package.

Actually devil_cpp_wrapper.hpp uses symbols from libILUT.so, so moving it to the DevIL-ILUT-devel package is the right thing todo.

I'm going to push fixed packages for this to F-19+ (given the low impact of this I'm not going to do an update for it for older versions).

Regards,

Hans

Comment 2 Fedora Update System 2013-04-15 12:27:24 UTC
DevIL-1.7.8-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/DevIL-1.7.8-14.fc19

Comment 3 Fedora Update System 2013-04-15 16:20:01 UTC
Package DevIL-1.7.8-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing DevIL-1.7.8-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5707/DevIL-1.7.8-14.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-20 19:57:04 UTC
DevIL-1.7.8-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.